Skip to main content
`Ctrl`+`K`

# smallpond.execution.task.JobId

class smallpond.execution.task.JobId(hex=None, bytes=None, bytes_le=None, fields=None, int=None, version=None, *, is_safe=SafeUUID.unknown)

  A unique identifier for a job.

  __init__(hex=None, bytes=None, bytes_le=None, fields=None, int=None, version=None, *, is_safe=SafeUUID.unknown)

    Create a UUID from either a string of 32 hexadecimal digits, a string of 16 bytes as the ‘bytes’ argument, a string of 16 bytes in little-endian order as the ‘bytes_le’ argument, a tuple of six integers (32-bit time_low, 16-bit time_mid, 16-bit time_hi_version, 8-bit clock_seq_hi_variant, 8-bit clock_seq_low, 48-bit node) as the ‘fields’ argument, or a single 128-bit integer as the ‘int’ argument. When a string of hex digits is given, curly braces, hyphens, and a URN prefix are all optional. For example, these expressions all yield the same UUID:

    UUID(‘{12345678-1234-5678-1234-567812345678}’) UUID(‘12345678123456781234567812345678’) UUID(’urn:uuid:12345678-1234-5678-1234-567812345678’) UUID(bytes=’x12x34x56x78’*4) UUID(bytes_le=’x78x56x34x12x34x12x78x56’ +

    > ‘x12x34x56x78x12x34x56x78’)

    UUID(fields=(0x12345678, 0x1234, 0x5678, 0x12, 0x34, 0x567812345678)) UUID(int=0x12345678123456781234567812345678)

    Exactly one of ‘hex’, ‘bytes’, ‘bytes_le’, ‘fields’, or ‘int’ must be given. The ‘version’ argument is optional; if given, the resulting UUID will have its variant and version set according to RFC 4122, overriding the given ‘hex’, ‘bytes’, ‘bytes_le’, ‘fields’, or ‘int’.

    is_safe is an enum exposed as an attribute on the instance. It indicates whether the UUID has been generated in a way that is safe for multiprocessing applications, via uuid_generate_time_safe(3).

  Methods

  `__init__`([hex, bytes, bytes_le, fields, ...])

  Create a UUID from either a string of 32 hexadecimal digits, a string of 16 bytes as the 'bytes' argument, a string of 16 bytes in little-endian order as the 'bytes_le' argument, a tuple of six integers (32-bit time_low, 16-bit time_mid, 16-bit time_hi_version, 8-bit clock_seq_hi_variant, 8-bit clock_seq_low, 48-bit node) as the 'fields' argument, or a single 128-bit integer as the 'int' argument.

  `new`() |

  Attributes

  `int` |
  `is_safe` |
  `bytes` |
  `bytes_le` |
  `clock_seq` |
  `clock_seq_hi_variant` |
  `clock_seq_low` |
  `fields` |
  `hex` |
  `node` |
  `time` |
  `time_hi_version` |
  `time_low` |
  `time_mid` |
  `urn` |
  `variant` |
  `version` |